=== modified file 'ChangeLog'
--- ChangeLog	2006-08-29 18:14:00 +0000
+++ ChangeLog	2006-09-02 13:51:41 +0000
@@ -1,3 +1,15 @@
+2006-09-02  Szilveszter Farkas <Szilveszter.Farkas@gmail.com>
+
+    * olive/frontend/gtk/add.py: fixed a small bug (switch back to default
+      cursor)
+    * olive/frontend/gtk/remove.py: fixed a small bug (switch back to default
+      cursor)
+
+2006-08-31  Szilveszter Farkas <Szilveszter.Farkas@gmail.com>
+
+    * olive/frontend/gtk/viz/diffwin.py: merged from bzr-gtk 0.10
+    * olive/frontend/gtk/viz/branchwin.py: merged from bzr-gtk 0.10
+
 2006-08-29  Szilveszter Farkas <Szilveszter.Farkas@gmail.com>
 
     * olive/backend/update.py: fixed a bug if bundles not available under bzr

=== modified file 'olive/frontend/gtk/add.py'
--- olive/frontend/gtk/add.py	2006-08-20 13:02:35 +0000
+++ olive/frontend/gtk/add.py	2006-09-02 13:51:41 +0000
@@ -69,6 +69,7 @@
             if filename is None:
                 self.dialog.error_dialog(_('No file was selected'),
                                          _('Please select a file from the list,\nor choose the other option.'))
+                self.comm.set_busy(self.window, False)
                 return
             
             try:

=== modified file 'olive/frontend/gtk/remove.py'
--- olive/frontend/gtk/remove.py	2006-08-20 13:02:35 +0000
+++ olive/frontend/gtk/remove.py	2006-09-02 13:51:41 +0000
@@ -69,6 +69,7 @@
             if filename is None:
                 self.dialog.error_dialog(_('No file was selected'),
                                          _('Please select a file from the list,\nor choose the other option.'))
+                self.comm.set_busy(self.window, False)
                 return
             
             try:

=== modified file 'olive/frontend/gtk/viz/branchwin.py'
--- olive/frontend/gtk/viz/branchwin.py	2006-08-20 13:02:35 +0000
+++ olive/frontend/gtk/viz/branchwin.py	2006-09-02 13:51:41 +0000
@@ -429,6 +429,9 @@
         # TODO: more than one parent
         """Callback for when a treeview row gets activated."""
         revision = self.model[path][0]
+        if len(self.parent_ids[revision]) == 0:
+            # Ignore revisions without parent
+            return
         parent_id = self.parent_ids[revision][0]
         if self.app is not None:
             self.app.show_diff(self.branch, revision.revision_id, parent_id)

=== modified file 'olive/frontend/gtk/viz/diffwin.py'
--- olive/frontend/gtk/viz/diffwin.py	2006-08-20 13:02:35 +0000
+++ olive/frontend/gtk/viz/diffwin.py	2006-09-02 13:51:41 +0000
@@ -31,6 +31,7 @@
 
 import gtk
 import pango
+import sys
 
 try:
     import gtksourceview
@@ -70,15 +71,18 @@
 
     def construct(self):
         """Construct the window contents."""
-        hbox = gtk.HBox(spacing=6)
-        hbox.set_border_width(0)
-        self.add(hbox)
-        hbox.show()
-
+        # The   window  consists  of   a  pane   containing:  the
+        # hierarchical list  of files on  the left, and  the diff
+        # for the currently selected file on the right.
+        pane = gtk.HPaned()
+        self.add(pane)
+        pane.show()
+ 
+        # The file hierarchy: a scrollable treeview
         scrollwin = gtk.ScrolledWindow()
         scrollwin.set_policy(gtk.POLICY_NEVER, gtk.POLICY_AUTOMATIC)
         scrollwin.set_shadow_type(gtk.SHADOW_IN)
-        hbox.pack_start(scrollwin, expand=False, fill=True)
+        pane.pack1(scrollwin)
         scrollwin.show()
 
         self.model = gtk.TreeStore(str, str)
@@ -96,11 +100,12 @@
         column.add_attribute(cell, "text", 0)
         self.treeview.append_column(column)
 
-
+        # The diffs of the  selected file: a scrollable source or
+        # text view
         scrollwin = gtk.ScrolledWindow()
         scrollwin.set_policy(gtk.POLICY_AUTOMATIC, gtk.POLICY_AUTOMATIC)
         scrollwin.set_shadow_type(gtk.SHADOW_IN)
-        hbox.pack_start(scrollwin, expand=True, fill=True)
+        pane.pack2(scrollwin)
         scrollwin.show()
 
         if have_gtksourceview:
@@ -185,4 +190,4 @@
 
         s = StringIO()
         show_diff_trees(self.parent_tree, self.rev_tree, s, specific_files)
-        self.buffer.set_text(s.getvalue())
+        self.buffer.set_text(s.getvalue().decode(sys.getdefaultencoding(), 'replace'))

